Bug 55430 - cvs diff rejects the --side-by-side or -y option
cvs diff rejects the --side-by-side or -y option
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: cvs (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-30 21:20 EST by Tim Mann
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 14:42:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Mann 2001-10-30 21:20:04 EST
Description of Problem:
cvs diff rejects the --side-by-side or -y option

Version-Release number of selected component (if applicable):
cvs-1.11.1p1-3

How Reproducible:

Steps to Reproduce:
1. Let "Makefile" be a file in the current directory that is
   under CVS control.
2. Set CVSROOT to your local pserver.  (I was only able to test
   in client/server mode.)
3. Type "cvs diff --side-by-side Makefile" or
        "cvs diff -y Makefile"

Actual Results:

cvs server: invalid option -- y
Usage: cvs server [-lNR] [rcsdiff-options]
    [[-r rev1 | -D date1] [-r rev2 | -D date2]] [files...] 
	-l	Local directory only, not recursive
	-R	Process directories recursively.
	-D d1	Diff revision for date against working file.
	-D d2	Diff rev1/date1 against date2.
	-N	include diffs for added and removed files.
	-r rev1	Diff revision for rev1 against working file.
	-r rev2	Diff rev1/date1 against rev2.
	--ifdef=arg	Output diffs in ifdef format.
(consult the documentation for your diff program for rcsdiff-options.
The most popular is -c for context diffs but there are many more).
(Specify the --help global option for a list of other help options)

Expected Results:

A side-by-side diff.

Additional Information:

Interestingly, the error message is "invalid option -- y" even if the
option is spelled as --side-by-side.  "strings /usr/bin/cvs" shows
that the binary contains the string side-by-side.  So evidently the
program recognizes the option, translates it to -y, and then rejects it.
Comment 1 Eido Inoue 2004-10-29 14:42:45 EDT
works in current release

Note You need to log in before you can comment on or make changes to this bug.